Name:			scanssh
Summary:		Fast SSH server and open proxy scanner

Version:		2.1
Release:		21%{?dist}

Group:			Applications/Internet
License:		BSD with advertising
URL:			http://monkey.org/~provos/scanssh/
Source0:		http://monkey.org/~provos/%{name}-%{version}.tar.gz
Patch0:			scanssh-2.1-hide.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libpcap-devel, libevent-devel, libdnet-devel

%description
ScanSSH supports scanning a list of addresses and networks for open proxies,
SSH protocol servers, Web and SMTP servers. Where possible ScanSSH, displays
the version number of the running services. ScanSSH protocol scanner supports
random selection of IP addresses from large network ranges and is useful for
gathering statistics on the deployment of SSH protocol servers in a company
or the Internet as whole.

%prep
%setup -q
%{?_with_hidescan:%patch0 -p1}

%build
%configure
%{__make} %{?_smp_mflags} CFLAGS="-Wall $RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/scanssh
%{_mandir}/man1/scanssh*

%changelog
* Mon Feb 14 2011 Oliver Falk <oliver@linux-kernel.at> - 2.1-21
- Rebuild for new libevent (Happy valentines day)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jun 30 2008 Patrick "Jima" Laughton <jima@beer.tclug.org> 2.1-17
- Rebuild for new libevent

* Wed Feb 13 2008 Patrick "Jima" Laughton <jima@beer.tclug.org> 2.1-16
- Bump-n-build for GCC 4.3

* Sat Jan 26 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.1-15
- Rebuild for new libevent.

* Tue Aug 21 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 2.1-14
- License correction

* Tue Aug 21 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 2.1-13
- Rebuild for BuildID

* Sun Mar 11 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 2.1-12
- Bump-n-build due to libevent upgrade (my own fault)

* Mon Feb 26 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 2.1-11
- Bump-n-build due to libevent upgrade

* Wed Nov 29 2006 Patrick "Jima" Laughton <jima@beer.tclug.org> 2.1-10
- Rebuild due to libpcap upgrade

* Wed Oct 04 2006 Patrick "Jima" Laughton <jima@beer.tclug.org> 2.1-9
- Bump-n-build

* Tue Sep 19 2006 Patrick "Jima" Laughton <jima@beer.tclug.org>	- 2.1-8
- I suppose I need to port this one to FC6 now, huh?

* Tue Sep 19 2006 Patrick "Jima" Laughton <jima@beer.tclug.org>	- 2.1-7
- Bump for FC6 rebuild

* Mon Nov 14 2005 Oliver Falk <oliver@linux-kernel.at>		- 2.1-6
- Rebuild

* Thu Aug 11 2005 Oliver Falk <oliver@linux-kernel.at>		- 2.1-5
- Make hidescan patch not applied by default, use
  --define 'with_hidescan 1' if you want it enabled

* Mon Aug 08 2005 Oliver Falk <oliver@linux-kernel.at>		- 2.1-4
- Remove Requires, rpm will detect it automatically

* Mon Aug 08 2005 Oliver Falk <oliver@linux-kernel.at>		- 2.1-3
- Integrate changes suggested by José Pedro Oliveira after
  first FE review

* Mon Jun 20 2005 Oliver Falk <oliver@linux-kernel.at>		- 2.1-2
- Add patch to make us invisible/hide us. Don't let OpenSSH know
  that we scan it.

* Tue Jun 07 2005 Oliver Falk <oliver@linux-kernel.at>		- 2.1-1
- Initial build for FC 4
